package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * License num
 */
@ApiModel(description = "License num")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class LicenseNumOpenApiVo   {
  @JsonProperty("basic")
  private Integer basic;

  @JsonProperty("ap")
  private Integer ap;

  @JsonProperty("l2Switch")
  private Integer l2Switch;

  @JsonProperty("l3Switch")
  private Integer l3Switch;

  @JsonProperty("gateway")
  private Integer gateway;

  @JsonProperty("type")
  private String type;

  public LicenseNumOpenApiVo basic(Integer basic) {
    this.basic = basic;
    return this;
  }

  /**
   * Basic
   * minimum: 0
   * @return basic
  */
  @ApiModelProperty(value = "Basic")

@Min(0)
  public Integer getBasic() {
    return basic;
  }

  public void setBasic(Integer basic) {
    this.basic = basic;
  }

  public LicenseNumOpenApiVo ap(Integer ap) {
    this.ap = ap;
    return this;
  }

  /**
   * Pro ap
   * minimum: 0
   * @return ap
  */
  @ApiModelProperty(value = "Pro ap")

@Min(0)
  public Integer getAp() {
    return ap;
  }

  public void setAp(Integer ap) {
    this.ap = ap;
  }

  public LicenseNumOpenApiVo l2Switch(Integer l2Switch) {
    this.l2Switch = l2Switch;
    return this;
  }

  /**
   * Pro l2Switch
   * minimum: 0
   * @return l2Switch
  */
  @ApiModelProperty(value = "Pro l2Switch")

@Min(0)
  public Integer getL2Switch() {
    return l2Switch;
  }

  public void setL2Switch(Integer l2Switch) {
    this.l2Switch = l2Switch;
  }

  public LicenseNumOpenApiVo l3Switch(Integer l3Switch) {
    this.l3Switch = l3Switch;
    return this;
  }

  /**
   * Pro l3Switch
   * minimum: 0
   * @return l3Switch
  */
  @ApiModelProperty(value = "Pro l3Switch")

@Min(0)
  public Integer getL3Switch() {
    return l3Switch;
  }

  public void setL3Switch(Integer l3Switch) {
    this.l3Switch = l3Switch;
  }

  public LicenseNumOpenApiVo gateway(Integer gateway) {
    this.gateway = gateway;
    return this;
  }

  /**
   * Pro gateway
   * minimum: 0
   * @return gateway
  */
  @ApiModelProperty(value = "Pro gateway")

@Min(0)
  public Integer getGateway() {
    return gateway;
  }

  public void setGateway(Integer gateway) {
    this.gateway = gateway;
  }

  public LicenseNumOpenApiVo type(String type) {
    this.type = type;
    return this;
  }

  /**
   * Type should be a value as follows: 1year; 2years; 3years; 4years; 5years; trial
   * @return type
  */
  @ApiModelProperty(required = true, value = "Type should be a value as follows: 1year; 2years; 3years; 4years; 5years; trial")
  @NotNull


  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LicenseNumOpenApiVo licenseNumOpenApiVo = (LicenseNumOpenApiVo) o;
    return Objects.equals(this.basic, licenseNumOpenApiVo.basic) &&
        Objects.equals(this.ap, licenseNumOpenApiVo.ap) &&
        Objects.equals(this.l2Switch, licenseNumOpenApiVo.l2Switch) &&
        Objects.equals(this.l3Switch, licenseNumOpenApiVo.l3Switch) &&
        Objects.equals(this.gateway, licenseNumOpenApiVo.gateway) &&
        Objects.equals(this.type, licenseNumOpenApiVo.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(basic, ap, l2Switch, l3Switch, gateway, type);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LicenseNumOpenApiVo {\n");
    
    sb.append("    basic: ").append(toIndentedString(basic)).append("\n");
    sb.append("    ap: ").append(toIndentedString(ap)).append("\n");
    sb.append("    l2Switch: ").append(toIndentedString(l2Switch)).append("\n");
    sb.append("    l3Switch: ").append(toIndentedString(l3Switch)).append("\n");
    sb.append("    gateway: ").append(toIndentedString(gateway)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

